#ifndef __OSPTYPESH__
#define __OSPTYPESH__

#include <stdbool.h>
#include "typedef.h"

#define OSP_OK             (0)     /* 正常返回 */
#define OSP_ERROR          (-1)    /* 错误返回 */
#define OSP_PAR_ILL        (-2)    /* 入参错误 */
#define OSP_FILE_ERROR     (-3)    /* 文件错误 */
#define OSP_PAR_REP        (-4)    /* 入参重复 */
#define OSP_QUE_FULL       (-5)    /* 软队列满 */
#define OSP_QUE_EMPT       (-6)    /* 软队列空 */
#define OSP_MEM_FULL       (-7)    /* 内存申请失败 */

typedef int32_t OSP_STATUS;
//typedef int32_t STATUS;

typedef uint64_t (*OSP_FUNCPTR)();

#endif  /* __OSPTYPESH__ */


